Name: system-switch-displaymanager
Summary: A display manager switcher for GDM, KDM, XDM, WDM, LightDM, LXDM and SDDM 
Version: 1.5
Release: 3%{?dist}
URL: http://fedoraproject.org/wiki/switch-displaymanager
Source: %{name}-%{version}.tar.xz
License: GPLv2+
Group: User Interface/Desktops
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: polkit
BuildRequires: python
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description
The Display Manager Switcher is a tool which enables users to easily switch
between various deskplay managers that they have installed. The tool includes
support for GDM, KDM, XDM, WDM, LightDM, LXDM and SDDM.

Install system-switch-displaymanager if you need a tool for switching between
display managers.

%package gnome
Group: User Interface/Desktops
Summary: A graphical interface for the Display Manager Switcher
Requires: %{name} = %{version}-%{release} python pygtk2

%description gnome
The system-switch-displaymanager-gnome package provides the GNOME graphical user
interface for the Display Manager Switcher.

%prep

%setup -q -n %{name}-%{version}

%build
make

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%find_lang %{name} || true

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%dir %{_datadir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/polkit-1/actions/*
%{_datadir}/%{name}/%{name}-helper
%{_mandir}/man1/*

%files gnome -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.py*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*.png

%changelog
* Fri Jul 03 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5-3
- Add dist-tag (RHBZ #1237189).

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 26 2015 Than Ngo <than@redhat.com> 1.5-1
- looks for the sddm binary in /usr/bin

* Fri Jan 30 2015 Than Ngo <than@redhat.com> 1.4-1
- add lxdm, sddm support

* Tue Nov 27 2012 Than Ngo <than@redhat.com> - 1.3-1
- polkit support
- systemd support

* Wed Sep 24 2008 Than Ngo <than@redhat.com> 1.2-1
- 1.2
- WDM setting issue
- add missing icons for WDM/XDM

* Thu Sep 11 2008 Than Ngo <than@redhat.com> 1.1-1
- rename to system-switch-displaymanager

* Fri Aug 15 2008 Than Ngo <than@redhat.com> 1.0-1
- 1.0
